be.cin.mycarenet._1_0.carenet.types

## Class SpecificTechnicalCareTreatmentType

- java.lang.Object
- - be.cin.mycarenet._1_0.carenet.types.SpecificTechnicalCareTreatmentType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:07:47+01:00",
                 comments="JAXB RI v2.2.11")
      public class SpecificTechnicalCareTreatmentType
      extends Object
      implements Serializable

  Java class for SpecificTechnicalCareTreatmentType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="SpecificTechnicalCareTreatmentType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Reason" type="{urn:be:cin:mycarenet:1.0:carenet:types}String_150" minOccurs="0"/>
               <element name="Frequency" type="{urn:be:cin:mycarenet:1.0:carenet:types}String_50" minOccurs="0"/>
               <element name="Product" type="{urn:be:cin:mycarenet:1.0:carenet:types}String_150" minOccurs="0"/>
             </sequence>
             <attribute name="type" use="required" type="{urn:be:cin:mycarenet:1.0:carenet:types}SpecificTechnicalCareTypeType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpecificTechnicalCareTreatmentType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFrequency()` Gets the value of the frequency property.
    `String` | `getProduct()` Gets the value of the product property.
    `String` | `getReason()` Gets the value of the reason property.
    `SpecificTechnicalCareTypeType` | `getType()` Gets the value of the type property.
    `void` | `setFrequency(String value)` Sets the value of the frequency property.
    `void` | `setProduct(String value)` Sets the value of the product property.
    `void` | `setReason(String value)` Sets the value of the reason property.
    `void` | `setType(SpecificTechnicalCareTypeType value)` Sets the value of the type property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpecificTechnicalCareTreatmentType

          public SpecificTechnicalCareTreatmentType()

  - ### Method Detail

    - #### getReason

          public String getReason()

      Gets the value of the reason property.
      Returns:
        possible object is `String`

    - #### setReason

          public void setReason(String value)

      Sets the value of the reason property.
      Parameters:
        `value` - allowed object is `String`

    - #### getFrequency

          public String getFrequency()

      Gets the value of the frequency property.
      Returns:
        possible object is `String`

    - #### setFrequency

          public void setFrequency(String value)

      Sets the value of the frequency property.
      Parameters:
        `value` - allowed object is `String`

    - #### getProduct

          public String getProduct()

      Gets the value of the product property.
      Returns:
        possible object is `String`

    - #### setProduct

          public void setProduct(String value)

      Sets the value of the product property.
      Parameters:
        `value` - allowed object is `String`

    - #### getType

          public SpecificTechnicalCareTypeType getType()

      Gets the value of the type property.
      Returns:
        possible object is `SpecificTechnicalCareTypeType`

    - #### setType

          public void setType(SpecificTechnicalCareTypeType value)

      Sets the value of the type property.
      Parameters:
        `value` - allowed object is `SpecificTechnicalCareTypeType`

Connector Packaging TRUSSMAKER 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.